@rem  --------------------------------------------------------
@rem  %1 (required) is received input filename
@rem  %2 (optional) is filename for redirection of stdout
@rem  %3 (optional) is the debug level
@rem                    (batch file default is 12)
@rem                    (wav2bin.exe default is 1)
@rem
@rem  output of this batch file is the file originally 
@rem  encoded by the transmit side programs
@rem  --------------------------------------------------------

@IF "%1"=="" GOTO USEAGE
@IF "%2"=="" GOTO PARAM1
@IF "%3"=="" GOTO PARAM2

:PARAM3
@del %2
@wav2bin %1 %3 > %2
@GOTO FINISH

:PARAM1
@wav2bin %1 12
@GOTO FINISH

:PARAM2
@del %2
@wav2bin %1 12 > %2
@GOTO FINISH

:USEAGE
@  ECHO One parameter is required.
@  ECHO  Required parameter 1 is the data file name (the wav file to be demodulated
@  ECHO    and decoded)
@  ECHO Two additional parameters are optional.
@  ECHO  Optional parameter 2 is the name of the file in which to put the text output
@  ECHO    from the demodulation and decoding operations
@  ECHO  Optional parameter 3 is the debug level desired.

:FINISH


